git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/batman4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/batman b/bin/batman
index 9928931..2d44682 100755
--- a/bin/batman
+++ b/bin/batman
@@ -16,7 +16,7 @@ batmobile() {
MSG="Battery charged at $BATVAL% with status \"$BATSTATE\", no shutdown."
[ ! -z "$VOERBOOS" ]&&[ "$VOERBOOS" -eq 1 ]&&echo "$MSG"
LMSG="Battery charged at $BATVAL% with status \"$BATSTATE\", no shutdown."
- logger -p"info" -t"batman" "$LMSG"||RETVAL=$(("$RETVAL"+$?))
+ logger -p"info" -t"batman" "$LMSG"||RETVAL=$((RETVAL+"$?"))
unset LMSG
[ -e "$BATFILE" ]&&/usr/sbin/shutdown -c >/dev/null 2>&1&&rm "$BATFILE"
SDCRV="$?"
@@ -26,7 +26,7 @@ batmobile() {
LMSG="batman" "$BATFILE exists but couldn't cancel shutdown!"
logger -p"warn" -t"$LMSG"
unset LMSG
- RETVAL=$(("$RETVAL"+"$SDCRV"))
+ RETVAL=$((RETVAL+SDCRV))
;;
esac
;;